## edu.stanford.nlp.trees.tregex.tsurgeon
Class CoindexNodes

    java.lang.Object
      edu.stanford.nlp.trees.tregex.tsurgeon.TsurgeonPattern
          edu.stanford.nlp.trees.tregex.tsurgeon.CoindexNodes

    public class CoindexNodes

extends TsurgeonPattern

Author:
  Roger Levy (rog@nlp.stanford.edu)

Constructor Summary
`CoindexNodes(TsurgeonPattern[] children)`

Method Summary
`Tree` `evaluate(Tree t, TregexMatcher m)` Evaluates the pattern against a `Tree` and a `TregexMatcher` that has been successfully matched against the tree.

Methods inherited from class edu.stanford.nlp.trees.tregex.tsurgeon.TsurgeonPattern
`setRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoindexNodes

    public CoindexNodes(TsurgeonPattern[] children)

Method Detail

### evaluate

    public Tree evaluate(Tree t,
                         TregexMatcher m)

  Description copied from class: `TsurgeonPattern`
  Evaluates the pattern against a `Tree` and a `TregexMatcher` that has been successfully matched against the tree.

  Specified by:
    `evaluate` in class `TsurgeonPattern`
  Parameters:
    `t` - the `Tree` that has been matched upon; typically this tree will be destructively modified.
    `m` - the successfully matched `TregexMatcher`
  Returns:
    some node in the tree; depends on implementation and use of the specific subclass.

Stanford NLP Group